ru.bitel.bgbilling.kernel.script.common.bean

## Class Script

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.kernel.script.common.bean.Script

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem
  Direct Known Subclasses:
    DeviceTypeScript, Function, GlobalScript, ScriptBackup, ScriptLibrary

      public class Script
      extends IdTitle

  Класс-модель "скрипт".
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Script()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Revision` | `getRevision()` Возвращает Revision-параметры ревизии скрипта.
    `java.lang.String` | `getScript()` Возвращает тело скрипта.
    `java.util.Date` | `getTimeRevision()` Возвращает время создания ревизии.
    `int` | `getUserId()` Возвращает userId(код) пользователя - автора ревизии.
    `void` | `setRevision(Revision revision)` Устанавливает параметры ревизии скрипта
    `void` | `setScript(java.lang.String script)` Устанавливает тело скрипта.
    `void` | `setTimeRevision(java.util.Date timeRevision)` Устанавливает время создания ревизии.
    `void` | `setUserId(int userId)` Устанавливает userID(код) пользователя - автора ревизии.

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### Script

          public Script()

  - ### Method Detail

    - #### getScript

          public java.lang.String getScript()

      Возвращает тело скрипта.
      Returns:
        тело скрипта.

    - #### setScript

          public void setScript(java.lang.String script)

      Устанавливает тело скрипта.
      Parameters:
        `script.` -

    - #### getUserId

          public int getUserId()

      Возвращает userId(код) пользователя - автора ревизии.
      Returns:
        userId(код).

    - #### setUserId

          public void setUserId(int userId)

      Устанавливает userID(код) пользователя - автора ревизии.
      Parameters:
        `userId` -

    - #### getTimeRevision

          public java.util.Date getTimeRevision()

      Возвращает время создания ревизии.
      Returns:
        timeRevision время создания ревизии.

    - #### setTimeRevision

          public void setTimeRevision(java.util.Date timeRevision)

      Устанавливает время создания ревизии.
      Parameters:
        `timeRevision` - .

    - #### getRevision

          public Revision getRevision()

      Возвращает Revision-параметры ревизии скрипта.
      Returns:
        параметры ревизии скрипта.

    - #### setRevision

          public void setRevision(Revision revision)

      Устанавливает параметры ревизии скрипта
      Parameters:
        `параметры` - ревизии скрипта